import request from '@/utils/request'

// 查询作物综合数据列表
export function listData(query) {
  return request({
    url: '/crops/data/list',
    method: 'get',
    params: query
  })
}

// 查询作物综合数据详细
export function getData(id) {
  return request({
    url: '/crops/data/' + id,
    method: 'get'
  })
}

// 新增作物综合数据
export function addData(data) {
  return request({
    url: '/crops/data',
    method: 'post',
    data: data
  })
}

// 修改作物综合数据
export function updateData(data) {
  return request({
    url: '/crops/data',
    method: 'put',
    data: data
  })
}

// 删除作物综合数据
export function delData(id) {
  return request({
    url: '/crops/data/' + id,
    method: 'delete'
  })
}
